% G_INIT - Initialization.
%
% Sets the path of the framework and the required libraries, sets up
% environment variables for the input and output folder, and for the entry
% point of the framework (see G_ECG_CLASSIFICATION). Modify on your need.
% 
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_init
    addpath([pwd, '\src'])
    addpath([pwd, '\libs\wfdb-app-toolbox-0-10-0\mcode'])
    addpath([pwd, '\libs\rait'])
    addpath([pwd, '\libs\libsvm-3.21\windows'])

    setenv('G_MITDB', 'data\mitdb');
    setenv('G_OUTPUT', 'results');
    setenv('G_ENTRY', num2str(0));

    fprintf('MIT-BIH Arrhythmia Database path: %s\n', getenv('G_MITDB'));
    fprintf('Output path: %s\n', getenv('G_OUTPUT'));
    fprintf('Entry point: %s\n', getenv('G_ENTRY'));
end
