function [B_abs,B_arg,B]=blaschke_img(path, a, show)

M=imread(path);
M=M(:,:,1);
B=0.5.*ones(size(M));
B_arg=0.5.*ones(size(M));
B_abs=0.5.*ones(size(M));
[m,n]=size(M);
blaschke=@(z) (z-a)./(1-conj(a).*z);
blaschke_inv=@(z) (z+a)./(1-conj(-a).*z);
[u,v]=size(M);
half=round(u/2);
bound=half-10;

for i=1:1:m
    for j=1:1:n
        if sqrt((j-half)^2+(i-half)^2)<bound
            z=(j-half)/bound + (i-half)*1i/bound;
            b=blaschke(z);
            I=round(bound*real(b)+half);
            J=round(bound*imag(b)+half);
            B(i,j)=M(J,I);
            B_abs(i,j)=abs(blaschke(z));
            t=atan(imag(blaschke(z))/real(blaschke(z)));
            B_arg(i,j)=t;            
        else
            B(i,j)=128;
        end
    end
end

if show
    %Image%
    figure;    
    imshow(uint8(B));
    hold on;
    plot(real(a)*200+256,imag(a)*200+256,'r.','MarkerSize',20);
    title('Transformed image');

    %Absolute value of Blaschke function%
    figure;        
    subplot(1,2,1);    
    imshow(B_abs);
    title('Absolute value of Blaschke function');

    %Argument function%
    subplot(1,2,2);
    imshow(B_arg);
    colormap(jet);
    title('Argument function');
end