% G_FEAT_SETS_SAVE - Save features of training and testing sets.
% 
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_feat_sets_save(name, features, labels, train_beats, test_beats, train_classes, test_classes, poles)
    %% train/test sets
    n_leads = length(features);
    train_features = cell(1, n_leads);
    test_features = cell(1, n_leads);
    
    for lead = 1:n_leads
        train_features{lead} = features{lead}(train_beats, :);
        test_features{lead} = features{lead}(test_beats, :);
    end

    %% save
    fprintf('  %s\n', name);
    save([getenv('G_OUTPUT'), filesep, 'feat', filesep, name, '.mat'], 'features', 'labels', 'train_*', 'test_*', 'poles');
end
