% G_FINAL_FUSION - Final fusion of different strategies.
% 
% Copyright (C) 2018 ELTE IK NumAnal, GNU GPL 3

function g_final_fusion(file, file1, file2)
    f = load([getenv('G_OUTPUT'), '\feat\', file1, '.mat']);
    c1 = load([getenv('G_OUTPUT'), '\class\', file1, '.mat']);
    c2 = load([getenv('G_OUTPUT'), '\class\', file2, '.mat']);
    
    c.classes_fused = [];
    c.accuracy_fused = 0;
    c.prob_est_fused = [];
    c.mat_fused = [];
    c.accuracy_rejection = 0;
    c.mat_rejection = [];
    c.p_rejection = 0;

    CC = max([f.train_classes(:); f.test_classes(:); c1.classes_fused(:); c2.classes_fused(:)]);
    [c.classes_fused, c.accuracy_fused, c.mat_fused, c.prob_est_fused] = g_class_fusion(c1.prob_est_fused, c2.prob_est_fused, 1:CC, f.test_classes, CC);
    [c.accuracy_rejection, c.mat_rejection, c.p_rejection] = g_class_rejection3(c1.classes{1}, c1.classes{2}, c2.classes_fused, f.test_classes, c.prob_est_fused, 1, CC);
    
    save([getenv('G_OUTPUT'), filesep, 'final', filesep, file, '.mat'], '-struct', 'c');
    fprintf('  %s\t%f%% %f%% (%f%%)\n', file, c.accuracy_fused, c.accuracy_rejection, c.p_rejection);
end
